2011-2014
Khronos Group
gl_NumWorkGroups
3G

# gl_NumWorkGroups

contains the number of workgroups that have been dispatched to a compute shader

## Declaration

in
uvec3 `gl_NumWorkGroups`

## Description

In the compute language, `gl_NumWorkGroups` contains the total number of work groups that will execute the compute shader. The components of `gl_NumWorkGroups` are equal to the `num_groups_x`, `num_groups_y`, and `num_groups_z` parameters passed to the `glDispatchCompute` command.

## Version Support

`gl_NumWorkGroups`

## See Also

gl_WorkGroupSize, gl_WorkGroupID, gl_LocalInvocationID

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.